import { availableIconsIndex, FieldType } from '@grafana/data';
export { toIconName } from '@grafana/data';

const getAvailableIcons = () => Object.keys(availableIconsIndex);
function getFieldTypeIcon(field) {
  if (field) {
    switch (field.type) {
      case FieldType.time:
        return "clock-nine";
      case FieldType.string:
        return "font";
      case FieldType.number:
        return "calculator-alt";
      case FieldType.boolean:
        return "toggle-on";
      case FieldType.trace:
        return "info-circle";
      case FieldType.geo:
        return "map-marker";
      case FieldType.other:
        return "brackets-curly";
    }
  }
  return "question-circle";
}

export { getAvailableIcons, getFieldTypeIcon };
//# sourceMappingURL=icon.js.map
